Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.binding.binder
Interface ActionObjectBinder

All Superinterfaces:
  ObjectBinder

All Known Subinterfaces:
  ActionBeanBinder, ActionPresentationModelBinder

All Known Implementing Classes:
  ActionBeanBinderImpl, ActionObjectBinderImpl, ActionPresentationModelBinderImpl

    public interface ActionObjectBinder

extends ObjectBinder

Adds binding capabilities for Action names to its super interface that can already bind Action instances.

The JGoodies Binding library doesn't ship an implementation for this interface, because there's no popular and public standard that describes and implements how to look up an Action for a name. A popular approach is the JSR 296 (Swing Application Framework) that enables developers to annotate methods with `@Action` that then can be requested for a target object and an action name.

Since the JGoodies implementation of the JSR 296 (the JGoodies "Application" library) is not available to the general public, the JGoodies Application-based implementation of this interface is not part of the Binding library.

However, this interface reduce the effort to integrate your custom Action-lookup and binder mechanism that may be based on the JSR 296 or any other Action name registry.

Version:
  $Revision: 1.1 $
Author:
  Karsten Lentzsch

Method Summary
`ActionBindingBuilder` | `bindAction(String actionName)` Looks up an Action for this binder and the given action name.

Methods inherited from interface com.jgoodies.binding.binder.ObjectBinder
`bind, bind, bind, bind, bind, bind`

Method Detail

### bindAction

    ActionBindingBuilder bindAction(String actionName)

  Looks up an Action for this binder and the given action name. Then creates and returns a binding builder that manages an Action that can be operated on and that can be bound to a button or text field.

  Examples:
  `binder.bindAction("edit") .to(editButton);`
  `binder.bindAction(ACTION_EDIT).to(editButton);`

  Implementations will typically look up an Action for a given action name and hand it over to `ObjectBinder.bind(javax.swing.Action)`.

  Parameters:
    `actionName` - the name of the Action to be bound
  Returns:
    the binding builder that holds the Action
  Throws:
    `NullPointerException` - if `actionName` if `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2013 JGoodies Software GmbH. All Rights Reserved.